MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002345VCMIMechanics - Adventure Mappublic2015-12-08 03:362016-09-14 02:59
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98e 
Target VersionFixed in Version0.98f 
Summary0002345: Fog of War changing objects may completely cover heroes/towns
DescriptionI was investigating crashes during AI movement and find out about the problem: it's looks like at least neutral Necropolis towns may completely cover objects of player like towns and heroes when player isn't being Red.
Steps To Reproduce1 - Get my "SXX_TEST_MAP_v4.h3m" map:
http://forum.vcmi.eu/viewtopic.php?t=1108 [^]
2 - Start game as pink player.
TagsNo tags attached.
Attached Filesjpg file icon fow_bug.jpg [^] (123,062 bytes) 2015-12-08 03:36

- Relationships
has duplicate 0002175closedSXX Crash during AI turn 
has duplicate 0002153closedSXX Crash turn AI 
has duplicate 0002134closedSXX Crash during AI turn - current tile invisible 
has duplicate 0002274closedSXX green hero take sulfur mine and heroes quit 
has duplicate 0002287closedSXX Heroes just closed when turn AI 
has duplicate 0002108closedSXX Cover of Darkness close view of the city 
has duplicate 0002411resolvedSXX Crash during AI movement 
related to 0002168closedSXX Terra incognito 
related to 0001750assignedSXX Cover of darkness covers dwellings, player owned guarded gates 
related to 0002251assignedSXX Mines (and possibly other objects) possessed by player get covered by necropolis town's cover of darkness 

-  Notes
(0006148)
SXX (administrator)
2015-12-08 04:02

Some details on why it's was tricky to find and reproduce:

* When all 8 tiles around AI hero covered by FoW it can't move so it's can't trigger assertion/crash within moveHeroToTile.
* Still that hero may visit object under it (e.g visit town) and that "movement" clear FoW around.
* If any of tiles around hero aren't in FoW hero can attempt to move there because pathfinder don't check visibility of initial tile.
* Movement from invisible tile cause assertion/crash.

BTW for quite some time I think that weird problem has come due to my movement code changes, but looks like it's was there for a while and my changes just make it appear.
(0006154)
SXX (administrator)
2015-12-09 07:16

Fixed:
https://github.com/vcmi/vcmi/commit/2be6818e33a39147bb72474c038fa08b811d7f49 [^]

Though all FoW-related code need massive refactoring.

- Issue History
Date Modified Username Field Change
2015-12-08 03:36 SXX New Issue
2015-12-08 03:36 SXX File Added: fow_bug.jpg
2015-12-08 04:02 SXX Note Added: 0006148
2015-12-09 07:16 SXX Note Added: 0006154
2015-12-09 07:16 SXX Status new => resolved
2015-12-09 07:16 SXX Fixed in Version => 0.98f
2015-12-09 07:16 SXX Resolution open => fixed
2015-12-09 07:16 SXX Assigned To => SXX
2015-12-09 07:28 SXX Relationship added has duplicate 0002175
2015-12-09 07:41 SXX Relationship added has duplicate 0002153
2015-12-09 08:14 SXX Relationship added has duplicate 0002134
2015-12-09 08:15 SXX Relationship added has duplicate 0002274
2015-12-09 08:31 SXX Relationship added has duplicate 0002287
2015-12-24 13:07 SXX Relationship added related to 0002168
2015-12-24 19:48 SXX Relationship added has duplicate 0002108
2016-02-10 05:05 SXX Relationship added has duplicate 0002411
2016-09-14 02:59 SXX Relationship added related to 0001750
2016-09-14 02:59 SXX Relationship added related to 0002251

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean